## org.eclipse.datatools.modelbase.sql.constraints
Interface Index

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  IndexImpl

public interface Index
extends SQLObject

A representation of the model object 'Index'.

The following features are supported:

- `Schema`
- `Clustered`
- `Fill Factor`
- `Unique`
- `System Generated`
- `Members`
- `Table`
- `Foreign Key`
- `Included Members`

See Also:
  `SQLConstraintsPackage.getIndex()`

Method Summary
`int` `getFillFactor()` Returns the value of the 'Fill Factor' attribute.
`EList` `getForeignKey()` Returns the value of the 'Foreign Key' reference list.
`EList` `getIncludedMembers()` Returns the value of the 'Included Members' containment reference list.
`EList` `getMembers()` Returns the value of the 'Members' containment reference list.
`Schema` `getSchema()` Returns the value of the 'Schema' reference.
`Table` `getTable()` Returns the value of the 'Table' reference.
`boolean` `isClustered()` Returns the value of the 'Clustered' attribute.
`boolean` `isSystemGenerated()` Returns the value of the 'System Generated' attribute.
`boolean` `isUnique()` Returns the value of the 'Unique' attribute.
`void` `setClustered(boolean value)` Sets the value of the '`Clustered`' attribute.
`void` `setFillFactor(int value)` Sets the value of the '`Fill Factor`' attribute.
`void` `setSchema(Schema value)` Sets the value of the '`Schema`' reference.
`void` `setSystemGenerated(boolean value)` Sets the value of the '`System Generated`' attribute.
`void` `setTable(Table value)` Sets the value of the '`Table`' reference.
`void` `setUnique(boolean value)` Sets the value of the '`Unique`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSchema

    public Schema getSchema()

  Returns the value of the 'Schema' reference. It is bidirectional and its opposite is '`Indices`'.

  If the meaning of the 'Schema' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema' reference.
  See Also:
    `setSchema(Schema)`, `SQLConstraintsPackage.getIndex_Schema()`, `Schema.getIndices()`

### setSchema

    public void setSchema(Schema value)

  Sets the value of the '`Schema`' reference.

  Parameters:
    `value` - the new value of the 'Schema' reference.
  See Also:
    `getSchema()`

### isClustered

    public boolean isClustered()

  Returns the value of the 'Clustered' attribute. The default value is `"false"`.

  If the meaning of the 'Clustered' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Clustered' attribute.
  See Also:
    `setClustered(boolean)`, `SQLConstraintsPackage.getIndex_Clustered()`

### setClustered

    public void setClustered(boolean value)

  Sets the value of the '`Clustered`' attribute.

  Parameters:
    `value` - the new value of the 'Clustered' attribute.
  See Also:
    `isClustered()`

### getFillFactor

    public int getFillFactor()

  Returns the value of the 'Fill Factor' attribute. The default value is `"0"`.

  If the meaning of the 'Fill Factor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fill Factor' attribute.
  See Also:
    `setFillFactor(int)`, `SQLConstraintsPackage.getIndex_FillFactor()`

### setFillFactor

    public void setFillFactor(int value)

  Sets the value of the '`Fill Factor`' attribute.

  Parameters:
    `value` - the new value of the 'Fill Factor' attribute.
  See Also:
    `getFillFactor()`

### isUnique

    public boolean isUnique()

  Returns the value of the 'Unique' attribute. The default value is `"false"`.

  If the meaning of the 'Unique' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unique' attribute.
  See Also:
    `setUnique(boolean)`, `SQLConstraintsPackage.getIndex_Unique()`

### setUnique

    public void setUnique(boolean value)

  Sets the value of the '`Unique`' attribute.

  Parameters:
    `value` - the new value of the 'Unique' attribute.
  See Also:
    `isUnique()`

### isSystemGenerated

    public boolean isSystemGenerated()

  Returns the value of the 'System Generated' attribute.

  If the meaning of the 'System Generated' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'System Generated' attribute.
  See Also:
    `setSystemGenerated(boolean)`, `SQLConstraintsPackage.getIndex_SystemGenerated()`

### setSystemGenerated

    public void setSystemGenerated(boolean value)

  Sets the value of the '`System Generated`' attribute.

  Parameters:
    `value` - the new value of the 'System Generated' attribute.
  See Also:
    `isSystemGenerated()`

### getMembers

    public EList getMembers()

  Returns the value of the 'Members' containment reference list. The list contents are of type `IndexMember`.

  If the meaning of the 'Members' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Members' containment reference list.
  See Also:
    `SQLConstraintsPackage.getIndex_Members()`

### getTable

    public Table getTable()

  Returns the value of the 'Table' reference. It is bidirectional and its opposite is '`Index`'.

  If the meaning of the 'Table' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table' reference.
  See Also:
    `setTable(Table)`, `SQLConstraintsPackage.getIndex_Table()`, `Table.getIndex()`

### setTable

    public void setTable(Table value)

  Sets the value of the '`Table`' reference.

  Parameters:
    `value` - the new value of the 'Table' reference.
  See Also:
    `getTable()`

### getForeignKey

    public EList getForeignKey()

  Returns the value of the 'Foreign Key' reference list. The list contents are of type `ForeignKey`. It is bidirectional and its opposite is '`Unique Index`'.

  If the meaning of the 'Foreign Key' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Foreign Key' reference list.
  See Also:
    `SQLConstraintsPackage.getIndex_ForeignKey()`, `ForeignKey.getUniqueIndex()`

### getIncludedMembers

    public EList getIncludedMembers()

  Returns the value of the 'Included Members' containment reference list. The list contents are of type `IndexMember`.

  If the meaning of the 'Included Members' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Included Members' containment reference list.
  See Also:
    `SQLConstraintsPackage.getIndex_IncludedMembers()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.